net.i2p.client

## Class I2PSessionImpl.VerifyUsage

- java.lang.Object
- - net.i2p.client.I2PSessionImpl.VerifyUsage

All Implemented Interfaces:
  SimpleTimer.TimedEvent

Enclosing class:
  I2PSessionImpl

    protected class I2PSessionImpl.VerifyUsage
    extends Object
    implements SimpleTimer.TimedEvent

### Constructor Summary

Constructors
Constructor and Description
`I2PSessionImpl.VerifyUsage(Long id)`

### Method Summary

Methods
`void` `timeReached()` the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### I2PSessionImpl.VerifyUsage

    public I2PSessionImpl.VerifyUsage(Long id)

### Method Detail

#### timeReached

    public void timeReached()

Description copied from interface: `SimpleTimer.TimedEvent`
the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

Specified by:
  `timeReached` in interface `SimpleTimer.TimedEvent`